#include "chdecl.h"
void CH_chcode_chencodings(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb10;
    case 4: goto c11;
    case 5: goto cb14;
    case 6: goto c15;
    case 7: goto c19;
    case 8: goto cb47;
    case 9: goto c48;
    case 10: goto cb50;
    case 12: goto c52;
    case 13: goto c71;
    case 14: goto cb86;
    case 15: goto c87;
    case 16: goto c105;
    case 17: goto cb106;
    case 18: goto c107;
    case 19: goto c123;
    case 20: goto c128;
    case 21: goto c133;
    case 22: goto c135;
    case 23: goto c156;
    case 24: goto c181;
    case 25: goto cb192;
    case 26: goto c193;
    case 27: goto c202;
    case 28: goto c212;
    case 29: goto cb224;
    case 30: goto c225;
    case 31: goto c240;
    case 32: goto c250;
    case 33: goto c260;
    case 34: goto c298;
    case 35: goto c300;
    case 36: goto c308;
    case 37: goto c319;
    case 38: goto c325;
    case 11: goto c326;
    case 39: goto c326;
    case 40: goto c332;
    case 41: goto c335;
    case 42: goto c337;
    case 43: goto c349;
    case 44: goto c354;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_inport 4 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_inport;
/* connect 3.0 4 */
  if (REF(4).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(4).value.inport->refcount++;
  REF(3)DOT(0).value.outport = REF(4).value.inport;
  REF(3)DOT(0).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* prog_lit 5 , 2 */
  if ((ch_returncode = che_prog_lit(DEF(5),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* create 6 5 , 3 */
  if ((ch_returncode = che_create(DEF(6),DEF(5),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
  current->ip = 3;
cb10:
/* call 6 7 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(7),
          arguments[1+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c11:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
  current->ip = 5;
cb14:
/* receive 9 4 */
  if ((ch_returncode = che_receive(DEF(9),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c15:
/* copy 8 9.4 */
  if((ch_returncode = cp_table(& ch_val, REF(9)DOT(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = & dr_table;
/* ilit 10 , 0 */
  REF(10).value.integer = 0;
  REF(10).tsdr = & dr_integer;
/* lookup_at 11 9.1.6 9.1.1 */
  if((ch_i = REF(9)DOT(1)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(9)DOT(1)DOT(6).value.table)->size) goto ch_notfound;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(11).value,ch_i);
  REF(11).tsdr = qdatarepmap[ch_t->tsdr->number];
c19:
/* size 12 9.4 */
  REF(12).value.integer = REF(9)DOT(4).value.table->size;
  REF(12).tsdr = & dr_integer;
/* equal . 12 =(0) , 332 */
  if ( REF(12).value.integer == 0 ) goto c332;
/* privatize 9.4 */
  if (REF(9)DOT(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9)DOT(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 13 9.4 =(0) */
  if ( !((ch_t = REF(9)DOT(4).value.table)->size) ) goto ch_notfound;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(13).value,0);
  REF(13).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 14 9.4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(14),DEF(9)DOT(4),0)) != Normal)
     goto ch_raise_exception;
/* ord_case 15 14 */
  REF(15).value.ord_enum = REF(14).value.variant->info.variant_case;
  REF(15).tsdr = & dr_ord_enumeration;
/* equal . 15 =(9) , 36 */
  if ( REF(15).value.ord_enum == 9 ) goto c36;
/* equal . 15 =(8) , 42 */
  if ( REF(15).value.ord_enum == 8 ) goto c42;
/* equal . 15 =(7) , 52 */
  if ( REF(15).value.ord_enum == 7 ) goto c52;
/* branch , 325 */
   goto c325;
c36:
/* noop */
  
/* iadd 9.1.2 9.1.2 =(1) */
  if (!chf_iadd(DEF(9)DOT(1)DOT(2),REF(9)DOT(1)DOT(2).value.integer,1))
     goto ch_depletion;
/* concat 9.4 8 9.4 */
  if ((ch_returncode = che_concat(DEF(9)DOT(4),DEF(8),DEF(9)DOT(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* branch , 326 */
   goto c326;
c42:
/* reveal 14 , 8 */
  if (8 != REF(14).value.variant->info.variant_case) goto ch_case_error;
/* dissolve 16 14 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16) = REF(14).value.variant->data[VARIANT_COMPONENT];
  { freedotmain(REF(14).value.variant, VARIANT_SIZE); }
  REF(14).tsdr = & dr_bottom;
/* currentprogram 17 */
  if ((ch_val.program = make_pgm_copy(sched->ready->prog)) == nil)
     goto ch_depletion;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val; REF(17).tsdr = & dr_program;
/* create 18 17 , 5 */
  if ((ch_returncode = che_create(DEF(18),DEF(17),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
  current->ip = 8;
cb47:
/* call 18 19 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(18),
          arguments[1] = DEF(19),
          arguments[1+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c48:
/* copy 20 16.0 */
  if((ch_returncode = (REF(16)DOT(0).tsdr->copy)(& ch_val, REF(16)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = datarepmap[REF(16)DOT(0).tsdr->number];
/* copy 21 16.1 */
  if((ch_returncode = (REF(16)DOT(1).tsdr->copy)(& ch_val, REF(16)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val;
  REF(21).tsdr = datarepmap[REF(16)DOT(1).tsdr->number];
  current->ip = 10;
cb50:
/* call 19 9.0 9.1 20 9.3 21 9.5 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(9)DOT(0),
          arguments[2] = DEF(9)DOT(1),
          arguments[3] = DEF(20),
          arguments[4] = DEF(9)DOT(3),
          arguments[5] = DEF(21),
          arguments[6] = DEF(9)DOT(5),
          arguments[6+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c52:
/* reveal 14 , 7 */
  if (7 != REF(14).value.variant->info.variant_case) goto ch_case_error;
/* equal . 9.2 =(6) , 67 */
  if ( REF(9)DOT(2).value.enumeration == 6 ) goto c67;
/* equal . 9.2 =(4) , 135 */
  if ( REF(9)DOT(2).value.enumeration == 4 ) goto c135;
/* equal . 9.2 =(5) , 156 */
  if ( REF(9)DOT(2).value.enumeration == 5 ) goto c156;
/* equal . 9.2 =(3) , 181 */
  if ( REF(9)DOT(2).value.enumeration == 3 ) goto c181;
/* equal . 9.2 =(2) , 212 */
  if ( REF(9)DOT(2).value.enumeration == 2 ) goto c212;
/* equal . 9.2 =(1) , 260 */
  if ( REF(9)DOT(2).value.enumeration == 1 ) goto c260;
/* branch , 298 */
   goto c298;
c67:
/* new_record 22 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val; REF(22).tsdr = & dr_record;
/* enum_lit 22.0 , 6 */
  REF(22)DOT(0).value.enumeration = 6;
  REF(22)DOT(0).tsdr = & dr_enumeration;
/* initget 23 9.1.5 , 0,0 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(23),DEF(9)DOT(1)DOT(5),nil,sched,GET,
    0,0)) != Normal) goto ch_raise_exception;
c71:
/* get_or_err 23 9.1.5 */
  if ((ch_returncode = get_selected_object(DEF(23),DEF(9)DOT(1)DOT(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* lookup_at 24 11.1 =(2) */
  if (2 >= (ch_t = REF(11)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(24).value,2);
  REF(24).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 25 24 */
  REF(25) = REF(24);
/* position 26 23 */
  ch_frame = get_selector_frame(DEF(23),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(26).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(26).tsdr = &dr_integer;
/* notequal . 25 26 , 71 */
  if ( REF(25).value.integer != REF(26).value.integer ) goto c71;
/* ord_case 27 23.4 */
  REF(27).value.ord_enum = REF(23)DOT(4).value.variant->info.variant_case;
  REF(27).tsdr = & dr_ord_enumeration;
/* equal . 27 =(2) , 85 */
  if ( REF(27).value.ord_enum == 2 ) goto c85;
/* equal . 27 =(1) , 105 */
  if ( REF(27).value.ord_enum == 1 ) goto c105;
/* branch , 123 */
   goto c123;
c85:
/* reveal 23.4 , 2 */
  if (2 != REF(23)DOT(4).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 14;
cb86:
/* call 9.0.13 23.4.0 28 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(9)DOT(0)DOT(13),
          arguments[1] = DEF(23)DOT(4)DOT(0),
          arguments[2] = DEF(28),
          arguments[2+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c87:
/* move 22.1 28 */
  (*(REF(22)DOT(1).tsdr)->finalize)(REF(22)DOT(1).value,F_DISCARD,sched);
  REF(22)DOT(1) = REF(28);
  REF(28).tsdr = & dr_bottom;
/* notequal . 23.4.0 =(0.0) , 95 */
  if ( *REF(23)DOT(4)DOT(0).value.real != 0.0 ) goto c95;
/* chs_lit 29 , "zero" */
  if( !chs_lit(DEF(29),"zero") ) goto ch_depletion;
/* branch , 128 */
   goto c128;
c95:
/* noop */
  
/* rle . 23.4.0 =(0.0) , 102 */
  if ( *REF(23)DOT(4)DOT(0).value.real <= 0.0 ) goto c102;
/* chs_lit 29 , "positive" */
  if( !chs_lit(DEF(29),"positive") ) goto ch_depletion;
/* branch , 128 */
   goto c128;
c102:
/* chs_lit 29 , "negative" */
  if( !chs_lit(DEF(29),"negative") ) goto ch_depletion;
/* branch , 128 */
   goto c128;
c105:
/* reveal 23.4 , 1 */
  if (1 != REF(23)DOT(4).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 17;
cb106:
/* call 9.0.12 23.4.0 30 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(9)DOT(0)DOT(12),
          arguments[1] = DEF(23)DOT(4)DOT(0),
          arguments[2] = DEF(30),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c107:
/* move 22.1 30 */
  (*(REF(22)DOT(1).tsdr)->finalize)(REF(22)DOT(1).value,F_DISCARD,sched);
  REF(22)DOT(1) = REF(30);
  REF(30).tsdr = & dr_bottom;
/* notequal . 23.4.0 =(0) , 114 */
  if ( REF(23)DOT(4)DOT(0).value.integer != 0 ) goto c114;
/* chs_lit 29 , "zero" */
  if( !chs_lit(DEF(29),"zero") ) goto ch_depletion;
/* branch , 128 */
   goto c128;
c114:
/* noop */
  
/* ile . 23.4.0 =(0) , 120 */
  if ( REF(23)DOT(4)DOT(0).value.integer <= 0 ) goto c120;
/* chs_lit 29 , "positive" */
  if( !chs_lit(DEF(29),"positive") ) goto ch_depletion;
/* branch , 128 */
   goto c128;
c120:
/* chs_lit 29 , "negative" */
  if( !chs_lit(DEF(29),"negative") ) goto ch_depletion;
/* branch , 128 */
   goto c128;
c123:
/* chs_lit 29 , "unknown" */
  if( !chs_lit(DEF(29),"unknown") ) goto ch_depletion;
/* chs_lit 22.1 , "ch_i" */
  if( !chs_lit(DEF(22)DOT(1),"ch_i") ) goto ch_depletion;
c128:
/* endget 23 9.1.5 */
  end_selector(DEF(23),DEF(9)DOT(1)DOT(5),sched,GET);
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* insert 9.3 22 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(3),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c133:
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* branch , 300 */
   goto c300;
c135:
/* noop */
  
/* equal 31 11.0 =(107) */
  REF(31).value.boolean = (REF(11)DOT(0).value.enumeration == 107);
  REF(31).tsdr = & dr_boolean;
/* equal 32 11.0 =(90) */
  REF(32).value.boolean = (REF(11)DOT(0).value.enumeration == 90);
  REF(32).tsdr = & dr_boolean;
/* or 33 31 32 */
  REF(33).value.boolean = REF(31).value.boolean|REF(32).value.boolean;
  REF(33).tsdr = & dr_boolean;
/* branch_false 33 , 144 */
  if ( !REF(33).value.boolean ) goto c144;
/* ilit 34 , 1 */
  REF(34).value.integer = 1;
  REF(34).tsdr = & dr_integer;
/* branch , 146 */
   goto c146;
c144:
/* ilit 34 , 3 */
  REF(34).value.integer = 3;
  REF(34).tsdr = & dr_integer;
c146:
/* iadd 35 9.1.2 34 */
  if (!chf_iadd(DEF(35),REF(9)DOT(1)DOT(2).value.integer,REF(34).value.integer
    )) goto ch_depletion;
/* size 36 11.1 */
  REF(36).value.integer = REF(11)DOT(1).value.table->size;
  REF(36).tsdr = & dr_integer;
/* ige . 35 36 , 153 */
  if ( REF(35).value.integer >= REF(36).value.integer ) goto c153;
/* chs_lit 29 , "continue" */
  if( !chs_lit(DEF(29),"continue") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c153:
/* chs_lit 29 , "finished" */
  if( !chs_lit(DEF(29),"finished") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c156:
/* branch_false 9.1.3 , 169 */
  if ( !REF(9)DOT(1)DOT(3).value.boolean ) goto c169;
/* reveal 11.2 , 11 */
  if (11 != REF(11)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* iadd 37 9.1.2 =(1) */
  if (!chf_iadd(DEF(37),REF(9)DOT(1)DOT(2).value.integer,1))
     goto ch_depletion;
/* size 38 11.2.0 */
  REF(38).value.integer = REF(11)DOT(2)DOT(0).value.table->size;
  REF(38).tsdr = & dr_integer;
/* ige . 37 38 , 166 */
  if ( REF(37).value.integer >= REF(38).value.integer ) goto c166;
/* chs_lit 29 , "continue" */
  if( !chs_lit(DEF(29),"continue") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c166:
/* chs_lit 29 , "finished" */
  if( !chs_lit(DEF(29),"finished") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c169:
/* noop */
  
/* notequal . 11.4 =(1) , 175 */
  if ( REF(11)DOT(4).value.ord_enum != 1 ) goto c175;
/* chs_lit 29 , "block" */
  if( !chs_lit(DEF(29),"block") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c175:
/* chs_lit 29 , "proceed" */
  if( !chs_lit(DEF(29),"proceed") ) goto ch_depletion;
/* boolean 9.1.3 , TRUE */
  REF(9)DOT(1)DOT(3).value.boolean = TRUE;
  REF(9)DOT(1)DOT(3).tsdr = & dr_boolean;
/* branch , 300 */
   goto c300;
c181:
/* noop */
  
/* notequal . 10 =(0) , 202 */
  if ( REF(10).value.integer != 0 ) goto c202;
/* lookup_at 39 11.1 =(0) */
  if ( !((ch_t = REF(11)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(39).value,0);
  REF(39).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 40 39 */
  if((ch_returncode = (REF(39).tsdr->copy)(& ch_val, REF(39).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).value = ch_val;
  REF(40).tsdr = datarepmap[REF(39).tsdr->number];
/* size 41 11.1 */
  REF(41).value.integer = REF(11)DOT(1).value.table->size;
  REF(41).tsdr = & dr_integer;
/* isubtract 42 41 =(1) */
  if (!chf_isubtract(DEF(42),REF(41).value.integer,1)) goto ch_depletion;
/* lookup_at 43 11.1 42 */
  if((ch_i = REF(42).value.integer) < 0 || ch_i >= (ch_t = REF(11)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(43).value,ch_i);
  REF(43).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 44 43 */
  if((ch_returncode = (REF(43).tsdr->copy)(& ch_val, REF(43).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val;
  REF(44).tsdr = datarepmap[REF(43).tsdr->number];
  current->ip = 25;
cb192:
/* call 7 9.1.5 40 44 9.3 45 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(9)DOT(1)DOT(5),
          arguments[2] = DEF(40),
          arguments[3] = DEF(44),
          arguments[4] = DEF(9)DOT(3),
          arguments[5] = DEF(45),
          arguments[5+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c193:
/* noop */
  
/* oege . 45 =(4) , 199 */
  if ( REF(45).value.ord_enum >= 4 ) goto c199;
/* chs_lit 29 , "scalar" */
  if( !chs_lit(DEF(29),"scalar") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c199:
/* chs_lit 29 , "other" */
  if( !chs_lit(DEF(29),"other") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c202:
/* enum_lit 46 , 5 */
  REF(46).value.enumeration = 5;
  REF(46).tsdr = & dr_enumeration;
/* find 47 9.3 46 , 0 */
  if (findfunc(DEF(47),DEF(9)DOT(3),(
          arguments[0] = DEF(46),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 29 47.1 */
  if((ch_returncode = cp_table(& ch_val, REF(47)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = & dr_table;
/* chs_lit 48 , "unknown" */
  if( !chs_lit(DEF(48),"unknown") ) goto ch_depletion;
/* notequal 49 29 48 */
  REF(49).value.boolean = (!eq_table(REF(29).value,REF(48).value));
  REF(49).tsdr = & dr_boolean;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* branch_false 49 , 300 */
  if ( !REF(49).value.boolean ) goto c300;
/* chs_lit 29 , "known" */
  if( !chs_lit(DEF(29),"known") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c212:
/* noop */
  
/* equal . 10 =(1) , 218 */
  if ( REF(10).value.integer == 1 ) goto c218;
/* equal . 10 =(0) , 240 */
  if ( REF(10).value.integer == 0 ) goto c240;
/* branch , 250 */
   goto c250;
c218:
/* noop */
  
/* lookup_at 50 11.1 =(1) */
  if (1 >= (ch_t = REF(11)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(50).value,1);
  REF(50).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 51 50 */
  if((ch_returncode = (REF(50).tsdr->copy)(& ch_val, REF(50).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).value = ch_val;
  REF(51).tsdr = datarepmap[REF(50).tsdr->number];
/* lookup_at 52 11.1 =(2) */
  if (2 >= (ch_t = REF(11)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(52).value,2);
  REF(52).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 53 52 */
  if((ch_returncode = (REF(52).tsdr->copy)(& ch_val, REF(52).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).value = ch_val;
  REF(53).tsdr = datarepmap[REF(52).tsdr->number];
  current->ip = 29;
cb224:
/* call 7 9.1.5 51 53 9.3 45 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(9)DOT(1)DOT(5),
          arguments[2] = DEF(51),
          arguments[3] = DEF(53),
          arguments[4] = DEF(9)DOT(3),
          arguments[5] = DEF(45),
          arguments[5+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c225:
/* noop */
  
/* oegt . 45 =(4) , 237 */
  if ( REF(45).value.ord_enum > 4 ) goto c237;
/* notequal . 45 =(0) , 234 */
  if ( REF(45).value.ord_enum != 0 ) goto c234;
/* chs_lit 29 , "boolean" */
  if( !chs_lit(DEF(29),"boolean") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c234:
/* chs_lit 29 , "scalar" */
  if( !chs_lit(DEF(29),"scalar") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c237:
/* chs_lit 29 , "other" */
  if( !chs_lit(DEF(29),"other") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c240:
/* case 54 11.2 */
  REF(54).value.enumeration = REF(11)DOT(2).value.variant->info.variant_case;
  REF(54).tsdr = & dr_enumeration;
/* notequal . 54 =(0) , 247 */
  if ( REF(54).value.enumeration != 0 ) goto c247;
/* chs_lit 29 , "assign" */
  if( !chs_lit(DEF(29),"assign") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c247:
/* chs_lit 29 , "branch" */
  if( !chs_lit(DEF(29),"branch") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c250:
/* enum_lit 55 , 5 */
  REF(55).value.enumeration = 5;
  REF(55).tsdr = & dr_enumeration;
/* find 56 9.3 55 , 0 */
  if (findfunc(DEF(56),DEF(9)DOT(3),(
          arguments[0] = DEF(55),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 29 56.1 */
  if((ch_returncode = cp_table(& ch_val, REF(56)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = & dr_table;
/* chs_lit 57 , "unknown" */
  if( !chs_lit(DEF(57),"unknown") ) goto ch_depletion;
/* notequal 58 29 57 */
  REF(58).value.boolean = (!eq_table(REF(29).value,REF(57).value));
  REF(58).tsdr = & dr_boolean;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* branch_false 58 , 300 */
  if ( !REF(58).value.boolean ) goto c300;
/* chs_lit 29 , "known" */
  if( !chs_lit(DEF(29),"known") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c260:
/* case 59 11.2 */
  REF(59).value.enumeration = REF(11)DOT(2).value.variant->info.variant_case;
  REF(59).tsdr = & dr_enumeration;
/* equal . 59 =(5) , 269 */
  if ( REF(59).value.enumeration == 5 ) goto c269;
/* equal . 59 =(11) , 277 */
  if ( REF(59).value.enumeration == 11 ) goto c277;
/* equal . 59 =(2) , 282 */
  if ( REF(59).value.enumeration == 2 ) goto c282;
/* branch , 285 */
   goto c285;
c269:
/* reveal 11.2 , 5 */
  if (5 != REF(11)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 11.0 =(45) , 275 */
  if ( REF(11)DOT(0).value.enumeration != 45 ) goto c275;
/* copy 60 11.2.0.0 */
  REF(60) = REF(11)DOT(2)DOT(0)DOT(0);
/* branch , 288 */
   goto c288;
c275:
/* copy 60 11.2.0.1 */
  REF(60) = REF(11)DOT(2)DOT(0)DOT(1);
/* branch , 288 */
   goto c288;
c277:
/* reveal 11.2 , 11 */
  if (11 != REF(11)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* lookup_at 61 11.2.0 9.1.2 */
  if((ch_i = REF(9)DOT(1)DOT(2).value.integer) < 0 || ch_i >= (ch_t = 
    REF(11)DOT(2)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(61).value,ch_i);
  REF(61).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 60 61 */
  REF(60) = REF(61);
/* branch , 288 */
   goto c288;
c282:
/* reveal 11.2 , 2 */
  if (2 != REF(11)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 60 11.2.0 */
  REF(60) = REF(11)DOT(2)DOT(0);
/* branch , 288 */
   goto c288;
c285:
/* ilit 60 , -1 */
  REF(60).value.integer = -1;
  REF(60).tsdr = & dr_integer;
c288:
/* lookup_at 62 9.1.6 60 */
  if((ch_i = REF(60).value.integer) < 0 || ch_i >= (ch_t = 
    REF(9)DOT(1)DOT(6).value.table)->size) goto ch_notfound;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(62).value,ch_i);
  REF(62).tsdr = qdatarepmap[ch_t->tsdr->number];
/* notequal . 62.4 =(0) , 295 */
  if ( REF(62)DOT(4).value.ord_enum != 0 ) goto c295;
/* chs_lit 29 , "interpret" */
  if( !chs_lit(DEF(29),"interpret") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c295:
/* chs_lit 29 , "execute" */
  if( !chs_lit(DEF(29),"execute") ) goto ch_depletion;
/* branch , 300 */
   goto c300;
c298:
/* chs_lit 29 , "CHOICE" */
  if( !chs_lit(DEF(29),"CHOICE") ) goto ch_depletion;
c300:
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 14.0 */
  if (REF(14)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(14)DOT(0))) != Normal)
       goto ch_raise_exception;
/* find 63 14.0 29 , 0 */
  if (findfunc(DEF(63),DEF(14)DOT(0),(
          arguments[0] = DEF(29),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 64 63 14.0 , 0 */
  if ((ch_returncode = removefunc(DEF(64),DEF(63),DEF(14)DOT(0),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* concat 9.4 64.1 9.4 */
  if ((ch_returncode = che_concat(DEF(9)DOT(4),DEF(64)DOT(1),DEF(9)DOT(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 319 */
   goto c319;
c308:
/* chs_lit 65 , "/\052Cant choose " */
  if( !chs_lit(DEF(65),"/\052Cant choose ") ) goto ch_depletion;
/* concat 66 65 29 */
  if ((ch_returncode = che_concat(DEF(66),DEF(65),DEF(29),sched)) != Normal)
     goto ch_raise_exception;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* chs_lit 67 , "*\057" */
  if( !chs_lit(DEF(67),"*\057") ) goto ch_depletion;
/* concat 68 66 67 */
  if ((ch_returncode = che_concat(DEF(68),DEF(66),DEF(67),sched)) != Normal)
     goto ch_raise_exception;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* unite 14 68 , 1 */
  if ((ch_returncode = che_unite(DEF(14),DEF(68),sched,1)) != Normal)
     goto ch_raise_exception;
/* insert 9.5 14 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
c319:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* iadd 10 10 =(1) */
  if (!chf_iadd(DEF(10),REF(10).value.integer,1)) goto ch_depletion;
/* branch , 326 */
   goto c326;
c325:
/* insert 9.5 14 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
c51:
c326:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* branch , 19 */
   goto c19;
c332:
/* discard 9.4 */
  (*(REF(9)DOT(4).tsdr)->finalize)(REF(9)DOT(4).value,F_DISCARD,sched);
  REF(9)DOT(4).tsdr = & dr_bottom;
/* return 9 */
  if (ch_caller = do_return(REF(9).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(9).value);
  REF(9).tsdr = & dr_bottom;
/* branch , 11 */
   goto c11;
c335:
/* endblock */
  che_endblock(sched);
/* branch , 349 */
   goto c349;
c337:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
c349:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c354:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
